Subject: [p2p-sip] Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

From: Richard.Stastny at oefeg.at (Stastny Richard)
Date: Fri Aug 12 19:16:50 2005

I have a basic question regarding SIP P2P:
 
A. Does true P2P SIP involve a service provider at all?
B. Isn't routing to emergency calls dealt with in ecrit?
 
-richard

________________________________

Von: [email-masked] im Auftrag von Henry Sinnreich
Gesendet: Fr 12.08.2005 22:46
An: 'Philip Patrick'; 'Dean Willis'; 'Brijesh Kumar'
Cc: 'Cullen Jennings'; 'sipping'; 'Richard Shockey'
Betreff: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

The support of emergency calling (such as 911) by operators of a P2P SIP
based service depends one how the service is sold.

1- If the P2P based service is sold as a PSTN telephone service replacement
(example: Vonage), emergency calling support is a MUST IMHO.

2- If the P2P service is sold as something else, such as presence, IM, apps,
etc. (example: Reuters Messenger), emergency calling may not be required.

3- A P2P based IP PBX MUST support 911 as any analyst will tell you.

The above will constitute a long game between regulators, carriers, IPSs,
and enterprises and the outcome is not sure.

The correct approach is to move 911-style emergency calling from the PSTN to
the Internet as proposed in
http://www.iptel.org/info/players/ietf/emergency/draft-schulzrinne-sipping-s
os-04.txt and more at http://www.cs.columbia.edu/sip/emergency.html

Thanks, Henry

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Philip Patrick
Sent: Friday, August 12, 2005 2:12 PM
To: Dean Willis; Brijesh Kumar
Cc: Cullen Jennings; sipping; Richard Shockey
Subject: RE: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

I believe emergency services should be within the scope of P2P SIP.  As a
network operator enabling VoIP SPs to become custom telephone companies, we
at Pac West Telecom endorse the FCC Order requiring VoIP SPs to support
Enhanced 911 service for nomadic VoIP users.  And, in order for P2P VoIP to
become a ubiquitous means of communication, the routing of calls to the
correct PSAP and rendering of location information for use by a 911
dispatcher is essential.

Phil

        -----Original Message-----
        From: Dean Willis [mailto:[email-masked]]
        Sent: Fri 8/12/2005 11:48 AM
        To: Brijesh Kumar
        Cc: Cullen Jennings; sipping; Richard Shockey
        Subject: Re: [Sipping] Draft Notes from Ad-hoc on SIP peer-to-peer

        On Aug 12, 2005, at 11:30 AM, Brijesh Kumar wrote:
       
        > I think Sohel raised some interesting issues -
        > specially 1,3, 4, and 5 that the group needs to
        > include in any discussion. Task model is very important
        > for further development of P2P SIP otherwise you
        > won't be able to deploy P2P SIP for real life
        > applications.
       
        Discussing the task model probably makes sense. Reliability, DoS
        resistance, and privacy are key elements of any IETF protocol work.
I'm
        not certain about access to emergency services -- this may well be
        outside the scope of P2P.
       
        However, I find it extremely unlikely that IETF work on P2P using
SIP
        will address or consider lawful intercept.
       
        There are already mechanisms available for lawful intercept in the
        Internet in general (such as RFC 3924).
       
        Consideration of lawful intercept as a protocol requirement is
        generally outside the scope of the IETF. This position is documented
in
        RFC 2804, which has as a summary:
       
            The IETF has decided not to consider requirements for
wiretapping as
            part of the process for creating and maintaining IETF standards.
       
        Personally, I believe that if P2P SIP mechanisms prove to be
        particularly sensitive to intercept, then we've failed to correctly
        specify those mechanisms. I feel that this is consistent with the
        intent of RFC 1984.
       
        --
        Dean

        _______________________________________________
        Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
        This list is for NEW development of the application of SIP
        Use [email-masked] for questions on current sip
        Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP